@import url("https://fonts.googleapis.com/css2?family=Public+Sans:ital,wght@0,100..900;1,100..900&display=swap");
@import url("css/hover.css");
@import url("css/ProductItem.css");
@import "react-photo-view/dist/react-photo-view.css";

*:has(.App.light) {
  --primary-color: #fb8500;
  --primary-color-hover: #da7400;
  --background-color: #fefefe;
  --card-color: #f8eee2;
  --card-color-hover: rgb(255 247 238);
  --card-color-active: #edd5b8e0;
  --header-color: #ebe4db;
  --text-color: #2e2e2e;
  --text-hint-color: #969b9a;
  --icon-color: #7e7e7e;
  --icon-color-active: #7e7e7eee;
  --input-color: white;
  --border-color: #7e7e7e1b;
  --win-color: #0d7967;
  --gold-color: #d4af37;
  --loss-color: #e93543;
}

*:has(.App.dark) {
  --primary-color: #ff7200;
  --background-color: #212121;
  --card-color: #895d24;
  --card-color-hover: #8f6125;
  --card-color-active: #895d24ee;
  --header-color: #ab7630;
  --text-color: #ebe4db;
  --title-color: #cec8c1;
  --icon-color: #3d3d3d;
  --input-color: rgb(29, 28, 28);
  --text-hint-color: #969b9a;
  --border-color: #7e7e7e22;
  --win-color: #14bda1;
  --gold-color: #d4af37;
  --loss-color: #e93543;
}

html,
body {
  font-family: "Public Sans", sans-serif;
  max-width: 100%;
  height: 100%;
  margin: 0px;
  padding: 0px;
  overflow-x: hidden;
  color: var(--text-color);
}

pre {
  font-family: inherit;
  white-space: pre-wrap;
  /* Since CSS 2.1 */
  white-space: -moz-pre-wrap;
  /* Mozilla, since 1999 */
  white-space: -pre-wrap;
  /* Opera 4-6 */
  white-space: -o-pre-wrap;
  /* Opera 7 */
  word-wrap: break-word;
  /* Internet Explorer 5.5+ */
  font-size: inherit;
}

/* Scroll Bar */

::-webkit-scrollbar-track {
  background-color: #f5f5f5;
}

::-webkit-scrollbar {
  width: 8px;
  background-color: var(--text-color);
}

::-webkit-scrollbar-thumb {
  background-color: var(--primary-color);
  border: 0px;
  background-clip: padding-box;
  border-radius: 5px;
}

.btn-primary {
  background-color: var(--primary-color) !important;
  border-color: var(--primary-color) !important;
}

.btn-primary:hover {
  color: var(--bs-btn-hover-color) !important;
  background-color: var(--primary-color-hover) !important;
  border-color: var(--primary-color-hover) !important;
}

/* .container-fluid {
  padding-left: inherit;
} */

.link-primary {
  color: var(--primary-color) !important;

  &:hover {
    color: var(--gold-color) !important;
  }
}

header {
  background-color: var(--header-color);
}

nav {
  background-color: #232f3e;
  padding: 1rem 1rem;
}

.navbar {
  padding: 0.1rem 1rem;
  background-color: var(--header-color);
}

.dropdown {
  position: relative;
  display: inline-block;
  vertical-align: middle;
}

.quill * {
  /* font-family: "Public Sans", sans-serif; */
  font-size: 1em;

  &:not(strong, b) {
    font-weight: 400;
  }

  &:first-child {
    border-top-left-radius: inherit;
    border-top-right-radius: inherit;
  }

  &:last-child {
    border-bottom-left-radius: inherit;
    border-bottom-right-radius: inherit;
  }
}

.ql-editor {
  min-height: 200px;
  max-height: 500px;
  overflow-y: scroll;
}

#search_btn {
  background-color: #fb8500;
}

form [name],
[name][form] {
  transition: border 0.3s;
  background-color: var(--input-color);
  position: relative;
  z-index: 1;
}

[role="tooltip"] {
  position: fixed !important;
}

.form-control {
  --bs-bg-opacity: 1;
  background-color: var(--input-color);
}

form :is(.input-error, :is(label, [name], )[aria-invalid="true"]),
[form][aria-invalid="true"] {
  border: 1px solid red;
}

.form-error,
.form-error[form] {
  position: relative;
  color: red;
  font-weight: initial;
  font-size: 0.8rem;
  transition: all 0.3s;
  top: 0px;
  height: auto;
}

/* form *:has(input:focus, textarea:focus)>.form-error {
  top: -25px;
  transition-delay: 0.3s;
  height: 0;
} */

.input-group {
  width: 90%;
  margin-right: 35%;
}

.icon {
  color: var(--icon-color);
  fill: currentColor;

  & * *:hover *:active {
    color: inherit;
  }
}

.icon.clickable,
.icon .clickable {
  transition: color 0.3s;
  color: var(--icon-color);

  & *:hover {
    cursor: pointer;
    color: var(--gold-color);
  }

  & *:active {
    color: var(--icon-color-active);
  }
}

#search_field {
  height: 2.4rem;
  padding: 1rem;
}

#login_btn,
#view_btn,
#new_review_btn {
  background-color: var(--primary-color);
  padding: 0.4rem 1.8rem;
  color: white;
}

#cart {
  font-size: 1rem;
  color: var(--text-color);
}

#cart_count {
  background-color: #faa000;
  padding: 0.2rem 0.5rem;
  border-radius: 0.2rem;
  color: black;
  font-weight: bold;
  font-size: 0.9rem;
}

/* Home page */
#products_heading {
  margin-left: 1rem;
  margin-top: 1.8rem;
}

#home_chart .information {
  background-color: var(--card-color);

  /* border:  2px solid; */
  box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.1);

  &[aria-disabled="true"] {
    background-color: lightgray;
  }
}

.card {
  height: 100%;
  background-color: var(--card-color);
  border-color: var(--border-color);
  transition: 0.3s;
  position: relative;
  /* box-shadow: var(--border-color) 2px 2px 0px 1px; */

  &:hover {
    box-shadow: var(--card-color-hover) 3px 2px 15px;
  }
}

.card img {
  background-color: #ffffff;
}

.card-title a {
  color: var(--text-color);
  text-decoration: none;
}

.card-title a:hover {
  color: var(--primary-color);
  text-decoration: none;
}

/* 
.card-body {
  padding-left: 0;
} */

.card-text,
.text {
  font-size: 1rem;
  color: var(--text-color);
}

.text-50 {
  color: var(--text-hint-color);
}

.card-description {
  font-size: 0.9rem;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 3;
  overflow: hidden;
  color: var(--text-hint-color);
}

.card-img-top {
  width: 75%;
  aspect-ratio: 1;
}

.ratings {
  font-size: 1.2rem;
  color: #fdcc0d;
}

#no_of_reviews {
  font-size: 0.9rem;
  color: grey;
}

.App {
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  background-color: var(--background-color);
}

/* Footer */
footer {
  margin-top: auto;
  color: grey;
  bottom: 0;
  width: 100%;
}

/* Product Details Page */
#product_id {
  color: grey;
  font-size: 0.8rem;
}

#product_price {
  font-size: 2rem;
  font-weight: bold;
  color: var(--primary-color);
}

#cart_btn,
#review_btn {
  border-radius: 2rem;
  background-color: var(--primary-color);
  border: none;
  padding: 0.5rem 2rem;
}

#product_seller {
  color: grey;
  font-size: 0.9rem;
}

#stock_status {
  font-size: 1.1rem;
  font-weight: bold;
  margin-left: 0.3rem;
}

.redColor {
  color: var(--loss-color) !important;
}

.greenColor {
  color: var(--win-color) !important;
}

.yellowColor {
  color: var(--gold-color) !important;
}

#product_image {
  margin-top: 3rem;
  max-width: 500px;
}

#product_image>section:has(img) {
  --box-shadow: inset 0px 0px 150px 50px var(--header-color),
    0px 0px 10px 10px var(--header-color);
  border-radius: 0.5rem;
  background-color: var(--card-color) var(--background-color);
  overflow: hidden;
  -webkit-box-shadow: var(--box-shadow);
  -moz-box-shadow: var(--box-shadow);
  box-shadow: var(--box-shadow);

  & img:after {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: inherit;
    --box-shadow: inset 0px 0px 150px 50px var(--header-color);
    box-shadow: var(--box-shadow);
  }
}

#product_image img {
  width: 100%;
  height: 100%;
  background-color: inherit;
  font-weight: 300;
  text-align: center;

  &[alt] {
    position: relative;
    text-indent: -9999px;
  }
}

#product_image aside img {
  min-width: 5em;
  aspect-ratio: 1;
}

/* #product_image section > * {
  border-radius: 1rem;
} */

/* Loader */
.loader {
  display: block;
  margin-left: auto;
  margin-right: auto;
  margin-top: 20%;
  margin-bottom: 20%;
  width: 80px;
  height: 80px;
  padding-left: 0;
}

.loader:after {
  content: " ";
  display: block;
  width: 64px;
  height: 64px;
  margin: 8px;
  border-radius: 50%;
  border: 6px solid var(--primary-color);
  border-color: var(--primary-color) transparent;
  animation: lds-dual-ring 1.2s linear infinite;
}

@keyframes lds-dual-ring {
  0% {
    transform: rotate(0deg);
  }

  100% {
    transform: rotate(360deg);
  }
}

/* Cart */

.cart-item {
  margin: 1.8rem 0rem;
  padding: 0rem 0.7rem;
}

.cart-item a {
  color: grey;
}

#delete_cart_item {
  color: red;
  background: white;
  padding: 0.3rem 0.5rem;
  font-size: 1.1rem;
  border: none;
}

#card_item_price {
  color: #fb8500;
  font-weight: bold;
  font-size: 1.4rem;
}

#checkout_btn,
.review-btn {
  background-color: var(--primary-color);
  border-color: var(--primary-color);
  margin-top: 2rem;
  border-radius: 5rem;
}

#view_order_details {
  background-color: var(--primary-color);
  border-color: var(--primary-color);
}

#order_summary {
  border: 1px solid #e3e3e3;
  border-radius: 1rem;
  padding: 2rem 1.5rem;
  background-color: var(--card-color);
}

.order-summary-values {
  float: right;
  font-weight: bold;
}

.stockCounter input {
  border: none;
  width: 3rem;
  text-align: center;
}

.plus,
.minus {
  padding: 0.1rem 0.5rem;
}

.stockCounter input::-webkit-outer-spin-button,
.stockCounter input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

.form-control[readonly] {
  background-color: white;
}

/* Login & Register */

.wrapper {
  display: flex;
  justify-content: center;
  align-items: center;
  margin-top: 5rem;
  margin-bottom: 5rem;

  font-weight: 700;
}

.wrapper form {
  padding: 2.5rem 3rem;
}

.wrapper form .btn,
.fetch-btn {
  background-color: var(--primary-color);
  border-color: var(--primary-color);
  color: white;
  margin-top: 1rem;
}

.fetch-btn:hover {
  background-color: var(--primary-color);
  color: white;
}

.wrapper form a {
  font-size: 0.9rem;
  color: grey;
}

/* Avatar */
.avatar {
  display: inline-block;
  margin-bottom: 0;
  height: 3rem;
  width: 3rem;
  -webkit-border-radius: 50%;
  -moz-border-radius: 50%;
  border-radius: 50%;
}

.avatar img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.rounded-circle {
  border-radius: 50% !important;
}

.btn.focus,
.btn:focus {
  outline: 0;
  box-shadow: none;
}

/* Header User Profile */

.avatar-nav {
  margin-right: 0.6rem;
  height: 2.2rem;
  width: 2.2rem;
}

/* Checkout Steps */

.checkout-progress div {
  box-sizing: border-box;
}

.checkout-progress {
  display: block;
  clear: both;
  margin: 20px auto;
  width: auto;
  font-family: sans-serif;
  overflow: auto;
}

.step {
  margin: 0;
  border: 0;
  letter-spacing: 1px;
  line-height: 30px;
  padding: 5px 10px 5px 15px;
  color: grey;
  text-decoration: none;
  cursor: default;
  font-weight: bold;
  float: left;
  height: auto;
}

.incomplete {
  background: #eeeeee;
}

.active-step {
  background: var(--primary-color);
  color: #fff;
}

.triangle-active {
  float: left;
  width: 0;
  border-top: 20px solid transparent;
  border-left: 15px solid var(--primary-color);
  border-bottom: 20px solid transparent;
  margin-left: -1px;
}

.triangle2-active {
  width: 0;
  float: left;
  border-top: 20px solid var(--primary-color);
  border-left: 15px solid var(--background-color);
  border-bottom: 20px solid var(--primary-color);
  margin-right: -1px;
}

.triangle-incomplete {
  float: left;
  width: 0;
  border-top: 20px solid transparent;
  border-left: 15px solid #eeeeee;
  border-bottom: 20px solid transparent;
  margin-left: -1px;
}

.triangle2-incomplete {
  width: 0;
  float: left;
  border-top: 20px solid #eeeeee;
  border-left: 15px solid var(--background-color);
  border-bottom: 20px solid #eeeeee;
  margin-right: -1px;
}

/* User Profile */
#select-image {
  opacity: 0;
  transition: opacity 0.5s;

  &:hover {
    opacity: 0.8;
    cursor: pointer;
  }

  &:active {
    opacity: 0.7;
  }
}

.avatar-profile {
  height: 16rem;
  width: 16rem;
}

.user-info h4 {
  font-weight: 800;
  color: grey;
  margin-top: 2rem;
}

.user-info p {
  font-size: 1.1rem;
}

#edit_profile {
  background-color: var(--primary-color);
  border-color: var(--primary-color);
}

/* Confirm Order */

.order-confirm p,
.order-details p {
  margin-left: 1.5rem;
}

.update-btn,
#create_btn {
  background-color: var(--primary-color);
  border-color: var(--primary-color);
  color: white;
}

.update-btn:hover {
  color: white;
}

/* Pagination */
.page-item.active .page-link {
  background-color: var(--primary-color);
  border-color: var(--primary-color);

  &:hover {
    color: white;
  }
}

.page-link {
  color: var(--text-color);
}

.page-link:hover {
  color: var(--primary-color);
}

/* Products List Admin */
#products_table .btn {
  padding: 0.2rem 0.5rem;
  margin-left: 0.4rem;
}

/* Dashboard */

.admin-child-wrapper {
  min-height: 100%;
  display: flex;
  flex-direction: column;
}

.card-font-size {
  font-size: 1.5rem;
}

/* Reviews */

.rating {
  margin-top: 10rem;
}

.stars {
  height: 100px;
  display: flex;
  align-items: center;
  padding-left: 0;
}

.star {
  display: inline;
  list-style: none;
  font-size: 3rem;
  padding-left: 0.9rem;
  color: #e3e3e3;
}

.star:first-child {
  padding-left: 0;
}

.orange {
  color: var(--primary-color) !important;
}

.gold {
  color: var(--gold-color);
}

.orange-2 {
  background-color: var(--card-color);
}

.grey {
  color: var(--text-hint-color);
}

.yellow {
  color: #fdcc0d;
}

.review_user {
  font-size: 0.8rem;
  color: grey;
}

.review_comment {
  &:not([aria-hidden]) label {
    display: none;
  }

  & p {
    overflow-wrap: break-word;
    position: relative;
  }

  & label {
    transition: all 0.3s cubic-bezier(0.075, 0.82, 0.165, 1);
    box-shadow: 0 0 10px rgba(0, 0, 0) inset;
    text-align: start;
  }

  & label:hover {
    translate: 0 -2px;
  }
}

.review_comment[aria-hidden] p {
  &::after {
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    z-index: 1;
    box-shadow: var(--background-color) 0px -10px 30px 20px;
  }
}

.review_comment:has(input:checked) p {
  line-clamp: unset !important;
  -webkit-line-clamp: unset !important;

  &::after {
    content: unset;
  }
}

.cross-button {
  background-color: #dc3545;
}

#filter_form .row .col {
  padding-left: 5px;
  padding-right: 5px;
}

#filter_form button {
  background-color: var(--primary-color);
  border-color: var(--primary-color);
}

.filter {
  margin-top: 12.3rem;
}

.filterForum {
  margin-top: 7.8rem;
}

.list-group-item:first-child {
  border-top-left-radius: 0;
  border-top-right-radius: 0;
}

.list-group-item {
  border: none;
}

.list-group-item.active {
  background-color: #f3f4f6;
  border-color: #f3f4f6;
  border-radius: 0.3rem;
  color: var(--primary-color);
}

/* Text */
.public-sans {
  font-family: "Public Sans", sans-serif;
  font-optical-sizing: auto;
  font-style: normal;
}

.primary-color {
  color: var(--primary-color);
}

[class*="line-clamp"] {
  display: -webkit-box;
  -webkit-box-orient: vertical;
  overflow: hidden;
}

.line-clamp-3 {
  -webkit-line-clamp: 3;
  line-clamp: 3;
}

.line-clamp-4 {
  -webkit-line-clamp: 4;
  line-clamp: 4;
}

.line-clamp-5 {
  -webkit-line-clamp: 5;
  line-clamp: 5;
}

/* Stock Chart */
#stockchartohlc .menu {
  position: absolute;
}

@import url("css/forum.css");
/* User layout */
/* .user-layout-container :nth-child(1) .list-group .list-group-item {
  background-color: var(--card-color);
  &.active {
    background-color: var(--card-color-active);
  }
}
.user-layout-container .user-dashboard {
  background-color: var(--card-color);
  border: var(--border-color) solid ; 
} */
/* .user-layout-container .bg-body {
  --bs-bg-opacity: 1;
    background-color: var(--background-color)!important;
} */

/* Discounts */
#discount-card.border {
  border-color: var(--gold-color) !important;
}

canvas {
  width: 100% !important;
  height: auto !important;
  margin: auto;
}

.dropdown-toggle.no-caret:after {
  content: none;
}

.blur-img {
  filter: blur(5px);
}

.site-layout-background .content {
  max-width: 70vw;
  margin-inline: auto;
}

.inset-0 {
  inset: 0 !important;
}